List users
curl --request GET \
--url https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "ee45f34b-9685-40d8-8724-23c31252ca46",
"name": "undefined",
"organizationId": "d4600d6e-e965-4b44-a808-84fb2fa36702",
"creationTime": "2024-05-31T14:11:00Z",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"spec": {
"subject": "john.doe@acme.com",
"state": "active",
"groupIDs": [
"0aaba80d-67ef-4799-b6d9-59f37e2ce2ad"
]
},
"status": {
"lastAcive": "2025-01-12T10:49:13Z"
}
}
]{
"error": "access_denied",
"error_description": "authentication failed"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges"
}{
"error": "server_error",
"error_description": "failed to token claim"
}Users
List users
Lists all users.
GET
/
api
/
v1
/
organizations
/
{organizationID}
/
users
List users
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
An organization ID.
Was this page helpful?
⌘I